/*
 * Author: Richard Lord
 * Copyright (c) Richard Lord 2010
 * http://www.richardlord.net
 * 
 * Licence Agreement
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package net.richardlord.smartcomponents.twitter.managers
{
	import flash.events.Event;
	
	import mx.controls.Alert;
	
	import net.richardlord.smartcomponents.twitter.data.TweetCollection;
	import net.richardlord.smartcomponents.twitter.events.ServiceEvent;
	import net.richardlord.smartcomponents.twitter.events.TweetCollectionEvent;
	import net.richardlord.smartcomponents.twitter.services.MoreService;
	
	public class MoreManager
	{
		[Inject]
		public var service : MoreService;
		
		[Inject]
		public var tweetCollection : TweetCollection;
		
		[PostConstruct]
		public function setUpListeners() : void
		{
			service.addEventListener( TweetCollectionEvent.TWEETS_LOADED, updateTweetCollection );
			service.addEventListener( ServiceEvent.REQUEST_FAILED, sendFailureAlert );
		}
		
		public function load( url : String ) : void
		{
			if ( url && tweetCollection.parser )
			{
				service.parser = tweetCollection.parser;
				service.send( url );
			}
		}
		
		private function updateTweetCollection( event : TweetCollectionEvent ) : void
		{
			tweetCollection.append( event.tweets );
		}
		
		private function sendFailureAlert( event : Event = null ) : void
		{
			Alert.show( "Failed to load tweets" );
		}
	}
}